=== debian/changelog ===
qtcreator-template-dtk (1.1.0-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Fri, 19 Feb 2021 17:22:00 +0800

qtcreator-template-dtk (1.0.0-1) unstable; urgency=medium

 * Init

 -- Deepin Package Builder <packages@linuxdeepin.com>  Tue, 27 Nov 2018 10:03:28 +0000
