=== debian/changelog ===
qtcreator-template-dtk (1.1.0.1) UNRELEASED; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Tue, 14 Jun 2022 17:04:39 +0800

qtcreator-template-dtk (1.1.0.1) unstable; urgency=medium

  * Release 1.1.0.1

 -- Deepin Package Builder <packages@linuxdeepin.com>  Tue, 14 Jun 2022 16:38:30 +0800
